Web lists-archives.com

Re: perl -- classic?




On Mon, Feb 04, 2019 at 02:32:35PM -0800, L A Walsh wrote:

Greetings,

> Can we have an older perl, say, perl-5.0.16?  works for my stuff mostly
> unchanged,

You sure you mean 5.0.16?  That's really, really old!  Maybe you mean
5.16.1?

The earliest perl version I have in my archives for Cygwin is perl-5.6.1
from 2001. and that's for 32-bit only.  I don't have anything earlier.

Earliest 64-bit appears to be perl-5.14.4

> I can't get many cpan things to work with current perl.
> 
> Things like
> Term::Size::chars no longer works as it says chars isn't exported.
> but it is 'EXPORT_OK', and it used to work.
> 
> Too many things break on cpan on new perls....seems like
> building CPAN should be part of the perl test suite or if
> they won't fix a module in CPAN or won't fix perl to keep a compatibility
> mode then the module gets kicked out of CPAN --
> and Perl doesn't get released until all modules remaining in CPAN
> work.
> 
> Meanwhile....we had a 5.18 for a while, and that worked...but the new stuff.
> I can't pull new versions from CPAN and expect anything to work...

5.18 is at least a little newer (2014), but still pretty old.

You can pull the source from the official perl site and build your own,
though getting to the source is a little convoluted, but try here:

https://www.cpan.org/src/5.0/

> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

-- 
--=> Peter A. Castro
Email: doctor at fruitbat dot org / Peter dot Castro at oracle dot com
	"Cats are just autistic Dogs" -- Dr. Tony Attwood

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple